export type TPokemonStat = {
    base_stat: number,
    stat: {
        name: string
    }
}

export type TPokemon = {
    id: number,
    name: string,
    sprites: {
        front_default: string,
        back_default: string
    },
    stats: TPokemonStat[]
}

export type TData = {
    pokemons: TPokemon[],
    selectPokemon: TPokemon | null,
    next: string | null,
    prev: string | null,
    isLoading: boolean
}

export type TDataGame = {
    userPokemon: TPokemon | null,
    computerPokemon: TPokemon | null,
    isLoading: boolean
}